# Class JSVZipUtil

java.lang.Object
jspecview.common.JSVZipUtil

All Implemented Interfaces:
  `JSVZipInterface`

public class JSVZipUtil extends Object implements JSVZipInterface

## Constructor Summary

Constructors
Constructor
Description
`JSVZipUtil()`

## Method Summary

Modifier and Type
Method
Description
`InputStream`
`newGZIPInputStream(InputStream bis)`
`BufferedReader`
`newJSVZipFileSequentialReader(InputStream in, String[] subFileList, String startCode)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JSVZipUtil

public JSVZipUtil()

## Method Details

### newGZIPInputStream

public InputStream newGZIPInputStream(InputStream bis) throws IOException

Specified by:
  `newGZIPInputStream` in interface `JSVZipInterface`
Throws:
  `IOException`

### newJSVZipFileSequentialReader

public BufferedReader newJSVZipFileSequentialReader(InputStream in, String[] subFileList, String startCode)

Specified by:
  `newJSVZipFileSequentialReader` in interface `JSVZipInterface`